Package Details: vit 1.2-2

Git Clone URL: (read-only)
Package Base: vit
Description: A terminal interface for Taskwarrior with Vim key bindings and colorization support
Upstream URL:
Licenses: GPL3
Submitter: ISF
Maintainer: anthraxx
Last Packager: anthraxx
Votes: 32
Popularity: 0.802702
First Submitted: 2012-12-04 23:42
Last Updated: 2015-06-18 16:12

Latest Comments

anthraxx commented on 2014-06-25 00:48

- updated pkg to 1.2-2: allow arbitrary perl location

this removes the hard /usr/bin check in configure and also invoke perl via /usr/bin/env

Seninha commented on 2014-06-23 05:31

Error in build()

configure: error: can not continue... perl must be installed as /usr/bin/perl

anthraxx commented on 2014-03-08 15:11

- updated pkg to 1.2beta1 as 1.1 final seems no longer available

Yamakaky commented on 2014-03-07 19:35

The download url is incorrect, I can't find a correct one so here is the git repo :

anthraxx commented on 2013-11-22 09:04

@philpirj: i dont see any point in renaming this one to vit-git, this is not a VCS package and hence does not pull from git

philpirj commented on 2013-11-22 07:01

Not sure, probably it makes sense to rename this one to vit-git

anthraxx commented on 2013-10-06 20:48

adopted this package and fixed the url

duckunix commented on 2013-10-02 15:31

They moved the package on the web site. The following patch updates the PKGBUILD file to the new location:

*** PKGBUILD Wed Apr 17 19:17:07 2013
--- PKGBUILD~ Wed Oct 2 10:28:29 2013
*** 8,14 ****
depends=('perl-curses' 'task')
! source=("$pkgname-$pkgver.tar.gz")

--- 8,14 ----
depends=('perl-curses' 'task')
! source=("$pkgname-$pkgver.tar.gz")


However, the git tree is on to 1.2.

ISF commented on 2013-06-27 20:27


I couldn't reproduce your error, you should report it upstream.

adb commented on 2013-06-27 01:38

A strange error happens when I try to launch vit. I'm sorry I know it's not related to the package itself.
>Fatal error: default.command ("next") must print an "ID" column

ISF commented on 2013-04-18 00:34


Hi, and thanks for the suggestions, I've applied them.

speps commented on 2013-04-15 03:11

@ISF Hi and thanks for maintaining this btw, tiv build system needs some fixes.
1. install the vit keybinding file in a more standard /usr/share/vit (instead of /usr/etc/vit)
2. remove any sudo reference from the install directive (definitely insecure)
3. use DESTDIR in Makefile

Here is a working PKGBUILD with a prepare() function:

Feel free to adopt or to propose upstream, cheers.

PLum commented on 2013-04-08 13:57

new version 1.1

seschwar commented on 2013-03-24 14:53

Vit 1.0 has been released:

petelewis commented on 2013-01-29 11:40

Perfect, thanks!

ISF commented on 2013-01-28 19:19


Done! See if it builds fine in using devtools (it should, I think).

petelewis commented on 2013-01-28 11:16

Right, but it needs to access the patch from $srcdir, not $startdir. And $srcdir is guaranteed to be the parent of $srcdir/$pkgname-$pkgver (remember we just cd'd to that location).

Otherwise, building using devtools currently fails for this package:

==> Retrieving Sources...
-> Found vit-0.7.tar.gz
-> Found
==> Validating source files with md5sums...
vit-0.7.tar.gz ... Passed ... Passed
==> Extracting Sources...
-> Extracting vit-0.7.tar.gz with bsdtar
==> Starting build()...
/build/PKGBUILD: line 16: /build/ No such file or directory
==> ERROR: A failure occurred in build().
==> ERROR: Build failed, check /var/lib/archbuild/extra-x86_64/pete/build

Thanks :-)

ISF commented on 2013-01-26 12:56


No, it's not guaranteed that $startdir is the parent directory of $srcdir.

petelewis commented on 2013-01-25 09:53

patch -p0 < $startdir/

needs to be

patch -p0 < ../

or similar. Thanks!